BMAIMAPSession Class Reference

`#include <BMAIMAPSession.h>`

Inheritance diagram for BMAIMAPSession:
[legend]
Collaboration diagram for BMAIMAPSession:
[legend]

## Public Member Functions

| BMAIMAPSession (BMAEPoll &ePoll, BMAConsoleServer &server)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from BMASession
| BMASession (BMAEPoll &ePoll, BMATCPServerSocket &server)
virtual void | output (BMASession *session)
void | send ()
void | sendToAll ()
void | sendToAll (BMASessionFilter *filter)
BMATCPServerSocket & | getServer ()
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.

## Protected Member Functions

void | protocol (char *data, int length) override
Protected Member Functions inherited from BMASession
void | onConnected () override
| Called when socket is open and ready to communicate. More...
virtual void | protocol (std::string data)=0
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
void | shutdown ()

## Additional Inherited Members

Public Attributes inherited from BMASession
std::stringstream | out
Public Attributes inherited from BMATCPSocket
BMAIPAddress | ipAddress
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

## Detailed Description

BMAIMAPSession

Extends the session parameters for this BMATCPSocket derived object. Extend the protocol() method in order to define the behavior and protocol interaction for this socket which is an IMAP session.

## Member Function Documentation

## output()

virtual void BMAIMAPSession::output | ( | std::stringstream & | out | ) |

virtual

The output method is called by a socket session (BMASession) and will output the detail information for the client socket. When extending BMATCPSocket or BMASession you can override the method to add attributes to the list.

Reimplemented from BMATCPSocket.

The documentation for this class was generated from the following file:

- /home/barant/Documents/Development/BMASockets/BMAIMAPSession.h